# Delete a product Delete a product. Deleting a product is only possible if it has no prices associated with it. Additionally, deleting a product with `type=good` is only possible if it has no SKUs associated with it. ## Prerequisites Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s). 1. createProduct POST /v1/products {"name":"Gold Plan"} ## Request ```curl curl -X DELETE https://api.stripe.com/v1/products/{{PRODUCT_ID}} \ -u "<>" \ -H "Stripe-Version: 2025-12-15.preview" ``` ### Response ```json { "id": "prod_NWjs8kKbJWmuuc", "object": "product", "deleted": true } ``` ## Returns Returns a deleted object on success. Otherwise, this call raises [an error](https://docs.stripe.com/api/products/delete.md#errors).